kifas.workflow.update
kifas.workflow.update
Section titled “kifas.workflow.update”Patch a workflow with optimistic locking (if_match = current semver). Bumps version on success.
Required scopes: workflow:write
Parameters
Section titled “Parameters”| Name | Type | Required | Default | Description |
|---|---|---|---|---|
workflow_id |
string |
yes | — | |
if_match |
string |
yes | — | |
name |
string |
no | — | |
graph |
object |
no | — | |
code_managed |
boolean |
no | — |
Returns
Section titled “Returns”{ "type": "object", "properties": { "workflow": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, "orgId": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, "projectId": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, "name": { "type": "string", "minLength": 1, "maxLength": 200 }, "version": { "type": "string", "pattern": "^\\d+\\.\\d+\\.\\d+$" }, "graph": { "type": "object", "properties": { "nodes": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "minLength": 1 }, "kind": { "type": "string", "enum": [ "trigger_manual", "trigger_webhook", "trigger_schedule", "trigger_from_subworkflow", "trigger_github", "action.navigate", "action.click", "action.type", "action.screenshot", "action.scroll", "action.scroll_until_visible", "action.wait_for", "action.wait_for_any", "action.snippet", "action.group", "action.read_text", "action.tap", "action.swipe", "action.long_press", "action.press_key", "action.launch_app", "auth.state_freshness_check", "auth.catalog_login", "auth.otp_totp_fill", "auth.otp_inbox_wait", "auth.oauth_token_mint", "auth.set_bearer_header", "state.load", "state.save", "assert.text_contains", "assert.element_exists", "assert.element_absent", "assert.text_matches", "assert.element_count", "assert.attribute", "assert.url_matches", "assert.response_status", "assert.compare", "assert.ai_check", "assert.visual_match", "control.branch", "control.loop", "control.wait", "control.sub_workflow", "control.if_present", "control.retry", "data.set_variable", "data.read_csv", "data.read_json", "data.api_request", "data.collect", "targets", "ai.vibe_step", "ai.find_element_by_intent", "ai.suggest_workflows", "sub_workflow" ] }, "position": { "type": "object", "properties": { "x": { "type": "number" }, "y": { "type": "number" } }, "required": [ "x", "y" ], "additionalProperties": false }, "config": { "type": "object", "propertyNames": { "type": "string" }, "additionalProperties": {} }, "label": { "type": "string" }, "provenance": { "type": "object", "properties": { "authoring_run_id": { "type": "string", "minLength": 1 }, "commit_step_index": { "type": "integer", "minimum": 0, "maximum": 9007199254740991 }, "proven_children": { "maxItems": 40, "type": "array", "items": { "type": "boolean" } } }, "required": [ "authoring_run_id", "commit_step_index", "proven_children" ], "additionalProperties": false }, "stale": { "type": "boolean" } }, "required": [ "id", "kind", "position", "config" ], "additionalProperties": false } }, "edges": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "minLength": 1 }, "source": { "type": "string", "minLength": 1 }, "target": { "type": "string", "minLength": 1 }, "sourceHandle": { "type": "string" } }, "required": [ "id", "source", "target" ], "additionalProperties": false } }, "variables": { "type": "object", "propertyNames": { "type": "string" }, "additionalProperties": {} } }, "required": [ "nodes", "edges" ], "additionalProperties": false }, "targetPlatform": { "default": "web", "type": "string", "enum": [ "web", "ios", "android" ] }, "activeCompiledSpecId": { "anyOf": [ { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, { "type": "null" } ] }, "codeManaged": { "type": "boolean" }, "lastVerificationStatus": { "anyOf": [ { "type": "string", "enum": [ "passed", "failed", "user_verified" ] }, { "type": "null" } ] }, "createdVia": { "type": "string", "enum": [ "canvas", "vibe", "code", "mcp", "extracted", "auth_catalog", "github_scan" ] }, "createdBy": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, "createdAt": { "type": "string", "format": "date-time", "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$" }, "updatedAt": { "type": "string", "format": "date-time", "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$" } }, "required": [ "id", "orgId", "projectId", "name", "version", "graph", "targetPlatform", "codeManaged", "createdVia", "createdBy", "createdAt", "updatedAt" ], "additionalProperties": false } }, "required": [ "workflow" ], "additionalProperties": false}Code samples
Section titled “Code samples”TypeScript (Anthropic MCP SDK)
import { Client } from '@modelcontextprotocol/sdk/client/index.js'import { StreamableHTTPClientTransport } from '@modelcontextprotocol/sdk/client/streamable-http.js'
const transport = new StreamableHTTPClientTransport( new URL('https://mcp.kifas.io/'), { requestInit: { headers: { Authorization: `Bearer ${process.env.KIFAS_API_KEY}` }, }, },)const client = new Client({ name: 'demo', version: '0.1.0' })await client.connect(transport)
const result = await client.callTool({ name: 'kifas.workflow.update', arguments: { "workflow_id": "00000000-0000-0000-0000-000000000000", "if_match": "" },})console.log(result)Python (httpx, raw JSON-RPC)
import osimport httpx
resp = httpx.post( "https://mcp.kifas.io/", headers={ "Authorization": f"Bearer {os.environ['KIFAS_API_KEY']}", "Content-Type": "application/json", }, json={ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "kifas.workflow.update", "arguments": { "workflow_id": "00000000-0000-0000-0000-000000000000", "if_match": "" }, }, },)print(resp.json())curl
curl https://mcp.kifas.io/ \ -H "Authorization: Bearer $KIFAS_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "kifas.workflow.update", "arguments": { "workflow_id": "00000000-0000-0000-0000-000000000000", "if_match": "" } }}'Raw JSON-RPC body
{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "kifas.workflow.update", "arguments": { "workflow_id": "00000000-0000-0000-0000-000000000000", "if_match": "" } }}Try it
Section titled “Try it”Want to try kifas.workflow.update? Sign in to the dashboard and run it against a real session.